Subject: bug#18716: Patch for this bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Nov 2016 21:36:14 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 8 Nov 2016 22:16:45 +0000
> Cc: [email-masked]
> 
>  I don't understand what happened to the comment about *.JPG files on
>  case-sensitive filesystems,
> 
> I took it into account. My experience is that on a case-insensitive system (e.g. a GNU system), one finds
> occasional files like this, typically copied from other systems or extracted from archives. These are not a
> problem for dired-omit-mode. For visiting such files, treating auto-mode-alist and similar case-insensitively is
> no problem.

Sorry, I don't understand what you mean by "these are not a problem".
With your change, *.JPG files will no longer be treated like *.jpg on
Posix systems.  Won't people who want *.JPG hidden complain?  IOW,
isn't this change backward-incompatible?

> +            (case-fold-search (memq system-type '(windows-nt cygwin))))

The list should include ms-dos as well.

> * lisp/dired-x.el (Commentary): Remove USAGE section explaining how to
> use dired-x from .emacs.  It is now fully customizable.
> * lisp/dired-x.el (dired-guess-shell-alist-user): Remove explanation of
> how to set this custom variable in .emacs.  It should be customized.

Why remove these comments?  The existence of Custom doesn't preclude
people from customizations in plain Lisp.

Thanks.